clang 8.0.0

Public Attributes | List of all members
CXIdxEntityInfo Struct Reference
libclang: C Interface to Clang » Higher level API functions

`#include "clang-c/Index.h"`

Collaboration diagram for CXIdxEntityInfo:
[legend]

## Public Attributes
CXIdxEntityKind | kind
CXIdxEntityCXXTemplateKind | templateKind
CXIdxEntityLanguage | lang
const char * | name
const char * | USR
CXCursor | cursor
const CXIdxAttrInfo *const * | attributes
unsigned | numAttributes

## Detailed Description

Definition at line 6233 of file Index.h.

## Member Data Documentation

## ◆ attributes

const CXIdxAttrInfo* const* CXIdxEntityInfo::attributes

Definition at line 6240 of file Index.h.

## ◆ cursor

CXCursor CXIdxEntityInfo::cursor

Definition at line 6239 of file Index.h.

## ◆ kind

CXIdxEntityKind CXIdxEntityInfo::kind

Definition at line 6234 of file Index.h.

## ◆ lang

CXIdxEntityLanguage CXIdxEntityInfo::lang

Definition at line 6236 of file Index.h.

## ◆ name

const char* CXIdxEntityInfo::name

Definition at line 6237 of file Index.h.

## ◆ numAttributes

unsigned CXIdxEntityInfo::numAttributes

Definition at line 6241 of file Index.h.

## ◆ templateKind

CXIdxEntityCXXTemplateKind CXIdxEntityInfo::templateKind

Definition at line 6235 of file Index.h.

## ◆ USR

const char* CXIdxEntityInfo::USR

Definition at line 6238 of file Index.h.

The documentation for this struct was generated from the following file:

- include/clang-c/Index.h